import { Entity, PrimaryGeneratedColumn, Column, ManyToOne } from 'typeorm';
import { Game_PersonEntity } from '../game/game.entity';
import { FactionEntity } from 'src/faction/faction.entity';

@Entity('Tracking')
export class TrackingEntity {
  @PrimaryGeneratedColumn('uuid') id: string;
  @Column({ type: 'json', nullable: true }) data: JSON;
  @ManyToOne(type => Game_PersonEntity, person => person.gamepersonId)
  gamepersonId: Game_PersonEntity;
  @ManyToOne(type => FactionEntity, faction => faction.factionId)
  faction: FactionEntity;
}
